org.apache.ignite.internal.visor.file

## Class VisorFileBlockTask.VisorFileBlockArg

- java.lang.Object
- - org.apache.ignite.internal.visor.file.VisorFileBlockTask.VisorFileBlockArg

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorFileBlockTask

    public static class VisorFileBlockTask.VisorFileBlockArg
    extends Object
    implements Serializable

Arguments for `VisorFileBlockTask`

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorFileBlockTask.VisorFileBlockArg(String path, long off, int blockSz, long lastModified)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorFileBlockTask.VisorFileBlockArg

    public VisorFileBlockTask.VisorFileBlockArg(String path,
                                        long off,
                                        int blockSz,
                                        long lastModified)

Parameters:
  `path` - Log file path.
  `off` - Offset in file.
  `blockSz` - Block size.
  `lastModified` - Log file last modified timestamp.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015